Approve or Reject Approval Request
curl --request PUT \
--url https://api.everhour.com/timesheets/{timesheet_id}/approval \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"days": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": false,
"sunday": false
},
"status": "approved",
"comment": "some text",
"sendNotification": false
}
'import requests
url = "https://api.everhour.com/timesheets/{timesheet_id}/approval"
payload = {
"days": {
"monday": True,
"tuesday": True,
"wednesday": True,
"thursday": True,
"friday": True,
"saturday": False,
"sunday": False
},
"status": "approved",
"comment": "some text",
"sendNotification": False
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
days: {
monday: true,
tuesday: true,
wednesday: true,
thursday: true,
friday: true,
saturday: false,
sunday: false
},
status: 'approved',
comment: 'some text',
sendNotification: false
})
};
fetch('https://api.everhour.com/timesheets/{timesheet_id}/approval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 148562535,
"user": 14856,
"weekId": 2535,
"reviewer": 14854,
"history": [
{
"action": "submitted",
"days": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": false,
"sunday": false
},
"user": 2535,
"comment": "some text",
"createdAt": "2025-08-05 16:17:14"
}
],
"totalTime": 123
}Timesheets
Approve or Reject Approval Request
Approve or reject an existing timesheet approval request.
Use this endpoint to act on a request previously created with POST /timesheets/{timesheet_id}/approval. The response reflects the resulting approval state.
PUT
/
timesheets
/
{timesheet_id}
/
approval
Approve or Reject Approval Request
Authorizations
Path Parameters
Timesheet ID
Example:
148562535
Body
application/json
Response
OK
Timesheet ID
Example:
148562535
User ID
Example:
14856
Example:
2535
Reviewer User ID
Example:
14854
Show child attributes
Show child attributes
Available options:
pending, rejected, approved, partial_approved, discarded Total approved time in seconds.
⌘I
